#include <openssl/aes.h>
#include <openssl/rand.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <openssl/pem.h>
#include <openssl/ssl.h>
#include <openssl/rsa.h>
#include <openssl/evp.h>
#include <openssl/bio.h>
#include <openssl/err.h>
#include "modelEncrypt.h"



void hybrid_decrypt(char* private_key_file, char* decrypted_file) {
/* your code goes here */

 
}


int main(int argc, char *argv[]) {

	if(argc < 4){
		printf("Usage : \narg1:message_file \narg2:private_key_file \narg3:public_key_file \narg4:symmetric_key\n");
    	exit(1);
    }

    encrypt(argv[4],argv[1], argv[3]);
    hybrid_decrypt(argv[2], "decrypted_message.txt");
    
    printf("output : %d\n",compare_files("message.txt","decrypted_message.txt"));
	return 0;

}
